Your APK is requiring physical device because it likely has a library dependency that is compiled for ARM architecture only.

To run in the Android x86 emulators offered by Appetize.io, your APK needs to be an x86-compatible build. 

To fix this issue, please compile your APK with x86 compatible libraries, so that your APK will run properly in the Google-provided Android emulators on your local machine. More information about the Android emulators available at https://developer.android.com/studio/run/emulator

If any further questions, please contact us